Bug 1917966 - upgrade version of dnsmasq package
Summary: upgrade version of dnsmasq package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.5.z
Assignee: Riccardo Pittau
QA Contact: Victor Voronkov
URL:
Whiteboard:
Depends On: 1917937
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-19 18:24 UTC by Riccardo Pittau
Modified: 2021-02-02 15:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-02 15:10:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ironic-image pull 138 0 None closed Bug 1917966: Force update of dnsmasq 2021-02-01 09:12:38 UTC
Github openshift ironic-inspector-image pull 57 0 None closed Bug 1917966: Force update of dnsmasq 2021-02-01 09:12:38 UTC
Red Hat Product Errata RHBA-2021:0231 0 None None None 2021-02-02 15:10:38 UTC

Description Riccardo Pittau 2021-01-19 18:24:48 UTC
we need to set a minimum version of dnsmasq package with the fix for the security vulnerability described in https://access.redhat.com/security/vulnerabilities/RHSB-2021-001

Comment 3 Victor Voronkov 2021-01-29 10:27:23 UTC
Verified on 4.5.29
[kni@provisionhost-0-0 ~]$ oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.29    True        False         40m     Cluster version is 4.5.29

[core@master-0-0 ~]$ rpm -qa dnsmasq
dnsmasq-2.79-11.el8_2.2.x86_64

Comment 5 errata-xmlrpc 2021-02-02 15:10:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.30 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0231


Note You need to log in before you can comment on or make changes to this bug.